shr.defineClass("shr.project.memberManagementList", shr.framework.List, {
	/**
	 * 描述:初始化操作
	 *
	 * @action
	 */
	initalizeDOM: function () {
		var _self = this;
		shr.project.memberManagementList.superClass.initalizeDOM.call(this);
	},
	/**
	   * 查看
	   */
	viewAction: function (billId, rowid) {
		// 编辑界面禁用，则直接返回
		if (this.editViewDisable) {
			return;
		}
		this.reloadPage({
			uipk: this.getEditUIPK(),
			billId: billId,
			method: 'view'
		});
	},
	/**
		 * 新增
		 */
	addNewAction: function () {
		var $treeNavigation = $('#treeNavigation');
		var prijectId = '';
		if ($treeNavigation.length > 0) {
			var value = $treeNavigation.shrGridNavigation('getValue');
			if (!value || !value.id) {
				shr.showError({ message: $.shrI18n.framework.tips.getDataFailureMayReason });
				return;
			}
			prijectId = value.id;
		}


		this.reloadPage({
			uipk: this.getEditUIPK(),
			prijectId: prijectId,
			method: 'addNew'
		});
	},
});